[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDockForm.GetSiteInfo

Disallows docking of a second client.

## Declaration

Source position: forms.pp line 963

`protected procedure TCustomDockForm.GetSiteInfo(`
`Client: TControl;`
`var InfluenceRect: TRect;`
`MousePos: TPoint;`
`var CanDock: Boolean`
`); override;`

## Arguments

`Client` |  | Not used in the method.
`InfluenceRect` |  | Not used in the method.
`MousePos` |  | Not used in the method.
`CanDock` |  | Returns True when no other docked clients exist on the form instance.

## Description

GetSiteInfo is an overridden method in TCustomDockForm. It reimplements the method introduced in the ancestor class (TWinControl). The value in the CanDock argument is set to True when there are no other docked clients on the docking form instance. Values in the Client, InfluenceRect, and MousePos arguments are not used in the method.

GetSiteInfo does not call the inherited method.

## See also

TWinControl.OnGetSiteInfo |  | Provides information about the DockSite for the control.